=== debian/changelog ===
reform-tools (1.68-1) unstable; urgency=medium

  * New upstream version 1.68
     - fix lpc/reform2_lpc.c for linux 6.13 (closes: #1095829)
  * debian/reform2-lpc-dkms.dkms: BUILD_EXCLUSIVE_KERNEL_MIN="5.18"
    Thanks to Andreas Beckmann <anbe@debian.org>

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 18 Feb 2025 19:21:01 +0100

reform-tools (1.67-1) unstable; urgency=medium

  * New upstream version 1.67
  * debian/control: reform2-lpc-dkms: improve description.
    Thanks to Helmut Grohne <helmut@subdivi.de>
  * debian/control: make Debian Reform Team the maintainer
  * debian/reform-tools.manpages: install reform-emmc-bootstrap.8

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 12 Feb 2025 15:14:22 +0100

reform-tools (1.66-1) unstable; urgency=medium

  * New upstream version 1.66

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 03 Feb 2025 22:16:04 +0100

reform-tools (1.63-1) unstable; urgency=medium

  * Initial upload (Closes: #1087928)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 03 Feb 2025 21:59:40 +0100
