=== debian/control ===
Source: reform-tools
Section: admin
Priority: optional
Maintainer: Debian Reform Team <team+reform@tracker.debian.org>
Uploaders:
 Johannes Schauer Marin Rodrigues <josch@debian.org>,
Homepage: https://source.mnt.re/reform/reform-tools/
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-dkms,
 help2man,
 python3-psutil,
 python3-usb1,
Vcs-Git: https://salsa.debian.org/reform-team/reform-tools.git
Vcs-Browser: https://salsa.debian.org/reform-team/reform-tools
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-dkms

Package: reform-tools
Architecture: all
Depends:
 jq,
 alsa-utils,
 console-setup,
 debconf,
 gpiod,
 keyboard-configuration,
 mount,
 parted,
 procps,
 reform2-lpc-dkms,
 rsync,
 systemd,
 tzdata,
 ${misc:Depends},
Recommends:
 bmap-tools,
 brightnessctl,
 fonts-font-awesome,
 fonts-jetbrains-mono,
 foot,
 gir1.2-ayatanaappindicator3-0.1,
 gir1.2-gdesktopenums-3.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-gtklayershell-0.1,
 gir1.2-notify-0.7,
 gnome-system-monitor,
 ircii,
 pavucontrol,
 pulseaudio-utils,
 python3,
 python3-gi,
 python3-usb1,
 thunar,
 x11-xserver-utils,
Suggests:
 reform-branding,
Protected: yes
Description: MNT System Tools for MNT Reform and MNT Pocket Reform
 Utilities, scripts and configurations for the MNT Reform and MNT Pocket Reform
 open hardware laptops with either i.MX8MQ, i.MX8MPlus, Banana PI CM4, LS1028A
 or RK3588.
 .
 Contains system utilities to manage your installation as well as configuration
 files for initramfs, flash-kernel, pulseaudio, alsa, u-boot-menu, udev and
 NetworkManager.

Package: reform2-lpc-dkms
Architecture: all
Section: kernel
Depends:
 ${misc:Depends},
Description: dkms driver sources for Reform 2 LPC11U24
 The reform2_lpc kernel module allows for interaction with the NXP LPC11U24
 Cortex-M0 MCU system controller in the Reform 2 open hardware laptop. It
 controls an analog monitor chip for the eight battery cells as well as the
 charger. It is connected to the Processor Module via SPI, and has GPIO lines
 to the main power rail switchers in the system. It has a UART (SYSCTL) that
 the keyboard can talk to directly for issuing power on/off commands and
 battery status queries.
 .
 The reform2_lpc module provides battery status information and is necessary to
 completely shut down the system when powering it off via userspace.
 .
 This package provides sources for the reform2_lpc kernel module for use with
 the Dynamic Kernel Module Support (dkms) framework.
