## reform-tools 1.69

=== debian/changelog ===
reform-tools (1.69-1) unstable; urgency=medium

  * New upstream version 1.69
  * debian/reform-tools.docs: install upstream CHANGELOG.md
  * debian/rules: remove workaround for fwupd
  * debian/reform-tools.install: move sbin->bin
  * rm debian/reform-tools.manpages

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 10 Mar 2025 09:47:58 +0100
