## reform-tools 1.71

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+# SPDX-License-Identifier: GPL-3.0+
+# Copyright 2024-2025 Johannes Schauer Marin Rodrigues <josch@mister-muffin.de>
 
 SHELL = /bin/sh
 INSTALL = /usr/bin/install
@@ -7,24 +9,20 @@
 prefix = /usr
 datadir = $(prefix)/share
 bindir = $(prefix)/bin
-sbindir = $(prefix)/sbin
 libexecdir = $(prefix)/libexec
 libdir = $(prefix)/lib
 statedir = /var
 
 BINPROGS=$(wildcard bin/*)
-SBINPROGS=$(wildcard sbin/*)
 MAN1=$(patsubst bin/%,man/%.1,$(BINPROGS))
-MAN8=$(patsubst sbin/%,man/%.8,$(SBINPROGS))
 
 .PHONY: all
-all: $(MAN1) $(MAN8)
+all: $(MAN1)
 
-define help2man
-man/%.$2: $1/%
+man/%.1: bin/%
 	set -e;                                                               \
 	mkdir -p man;                                                         \
-	tool2whatis () { case $$$${1#reform-} in                              \
+	tool2whatis () { case $${1#reform-} in                                \
 		boot-config)    echo "choose rootfs to boot from" ;;          \
 		chat)           echo "chat on #mnt-reform" ;;                 \
 		check)          echo "check your setup" ;;                    \
@@ -40,28 +38,23 @@
 		migrate)        echo "copy rootfs to device" ;;               \
 		mcu-tool)       echo "manage microcontrollers" ;;             \
 		pavucontrol)    echo "kill and restart pavucontrol" ;;        \
-		setup-encrypted-nvme) echo "setup encrypted SSD" ;;           \
+		setup-encrypted-disk) echo "setup encrypted disk" ;;          \
+		setup-encrypted-nvme) echo "use setup-encrypted-disk" ;;      \
 		standby)        echo "suspend/wakeup tweaks" ;;               \
-		*) echo "unknown tool: $$$$1" 2>&1; exit 1 ;;                 \
+		*) echo "unknown tool: $$1" 2>&1; exit 1 ;;                   \
 	esac; };                                                              \
-	whatis="$$$$(tool2whatis "$$*")";                                     \
-	version=$$$$(head -c4 CHANGELOG.md);                                  \
-	case $$$$version in 1.[0-9][0-9]) : ;; *) echo invalid;exit 1;; esac; \
-	env "PATH=./$1:$$$$PATH" help2man                                     \
-		--section=$2                                                  \
-		--name="$$$$whatis"                                           \
-		--no-info --version-string="$$$$version"                      \
-		--no-discard-stderr "$$*"                                     \
-		--output="$$@";                                               \
-
-endef
-
-$(eval $(call help2man,bin,1))
-
-$(eval $(call help2man,sbin,8))
+	whatis="$$(tool2whatis "$*")";                                        \
+	version=$$(head -c4 CHANGELOG.md);                                    \
+	case $$version in 1.[0-9][0-9]) : ;; *) echo invalid;exit 1;; esac;   \
+	env "PATH=./bin:$$PATH" help2man                                      \
+		--section=1                                                   \
+		--name="$$whatis"                                             \
+		--no-info --version-string="$$version"                        \
+		--no-discard-stderr "$*"                                      \
+		--output="$@";                                                \
 
 .PHONY: install
-install:
+install: $(MAN1)
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/NetworkManager/conf.d
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/NetworkManager/conf.d NetworkManager/default-wifi-powersave-off.conf
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/udev/rules.d
@@ -94,30 +87,32 @@
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/reform-tools/machines machines/*
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/modprobe.d
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/modprobe.d modprobe.d/reform.conf
-	$(INSTALL)     -d $(DESTDIR)$(sbindir)
-	$(INSTALL)     -t $(DESTDIR)$(sbindir) $(SBINPROGS)
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/glib-2.0/schemas
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/glib-2.0/schemas schemas/20_reform.gschema.override
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/backgrounds
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/backgrounds share/backgrounds/reform-mountains.jpg
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/systemd/sleep.conf.d
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/sleep.conf.d systemd/reform-sleep.conf
+	$(INSTALL)     -d $(DESTDIR)$(libdir)/systemd/system
+	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/system systemd/reform-hw-setup.service systemd/reform-sleep.service
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/u-boot-menu/conf.d
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/u-boot-menu/conf.d u-boot-menu/reform.conf
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/dracut/dracut.conf.d
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/dracut/dracut.conf.d dracut/20-pocket-reform.conf
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/sddm/sddm.conf.d
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/sddm/sddm.conf.d sddm/10-wayland.conf
+	$(INSTALL)     -d $(DESTDIR)$(datadir)/man/man1
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/man/man1 $(MAN1)
 
 .PHONY: clean
 clean:
-	rm -f man/*.1 man/*.8
+	rm -f man/*.1
 
 .PHONY: lint
 lint:
 	clang-format lpc/reform2_lpc.c | diff -u lpc/reform2_lpc.c -
 	shfmt --posix --simplify --binary-next-line --case-indent --indent 2 --diff \
-		bin sbin kernel/* initramfs-tools/*/* flash-kernel/*/*
+		bin kernel/* initramfs-tools/*/* flash-kernel/*/*
 	black --check --diff bin/reform-compstat libexec/reform-tools/reform-tray.py libexec/reform-tools/reform-wallpaper.py
-	black --line-length 120 --check --diff sbin/reform-mcu-tool
-	shellcheck bin/* sbin/* kernel/* initramfs-tools/*/* flash-kernel/*/*
+	black --line-length 120 --check --diff bin/reform-mcu-tool
+	shellcheck bin/* kernel/* initramfs-tools/*/* flash-kernel/*/*
