=== debian/changelog ===
reform-tools (1.71-2) unstable; urgency=medium

  * debian/control: re-introduce dhcpcd-base and iputils-ping which were
    accidentally removed
  * debian/control: firmware-iwlwifi is required for classic Reform with Intel
    wifi
  * debian/control: require debianutils (>= 5.21) for kernel hooks in
    /usr/share/kernel (Closes: #1104639)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 03 May 2025 23:34:22 +0200

reform-tools (1.71-1) unstable; urgency=medium

  * New upstream version 1.71
  * debian/control: add dependencies on debian-keyring for reform-flash-rescue
  * debian/control: add Recommends on ezurio-qcacld-2.0-dkms

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 11 Apr 2025 16:31:54 +0200

reform-tools (1.70-4) unstable; urgency=medium

  * debian/control: move flash-kernel to Recommends as it can only be installed
    on arm64, armel, armhf, riscv64 and loong64

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 11 Apr 2025 07:55:24 +0200

reform-tools (1.70-3) unstable; urgency=medium

  * source-only upload to allow transition to testing

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 10 Apr 2025 19:20:15 +0200

reform-tools (1.70-2) unstable; urgency=medium

  * debian/copyright: add section for lpc/reform2_lpc.c.
    Thanks to Thorsten Alteholz

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 07 Apr 2025 05:41:52 +0200

reform-tools (1.70-1) unstable; urgency=medium

  * New upstream version 1.70
  * add reform-desktop-full and reform-desktop-minimal meta-packages
  * debian/copyright: fix old-fsf-address-in-copyright-file

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 05 Apr 2025 13:56:19 +0200
