=== debian/control ===
--- 
+++ 
@@ -20,11 +20,12 @@
 Package: reform-tools
 Architecture: all
 Depends:
- jq,
  alsa-utils,
  console-setup,
  debconf,
+ debianutils (>= 5.21),
  gpiod,
+ jq,
  keyboard-configuration,
  mount,
  parted,
@@ -37,6 +38,7 @@
 Recommends:
  bmap-tools,
  brightnessctl,
+ debian-keyring,
  fonts-font-awesome,
  fonts-jetbrains-mono,
  foot,
@@ -55,7 +57,6 @@
  python3-gi,
  python3-usb1,
  thunar,
- x11-xserver-utils,
 Suggests:
  reform-branding,
 Protected: yes
@@ -67,6 +68,191 @@
  Contains system utilities to manage your installation as well as configuration
  files for initramfs, flash-kernel, pulseaudio, alsa, u-boot-menu, udev and
  NetworkManager.
+
+Package: reform-desktop-full
+Architecture: all
+Section: metapackages
+Depends:
+ blueman,
+ bmap-tools,
+ brightnessctl,
+ dunst,
+ engrampa,
+ evince,
+ firefox-esr,
+ fonts-font-awesome,
+ fonts-inter,
+ fonts-jetbrains-mono,
+ fonts-noto-color-emoji,
+ foot,
+ gedit,
+ gir1.2-ayatanaappindicator3-0.1,
+ gir1.2-gdesktopenums-3.0,
+ gir1.2-gdkpixbuf-2.0,
+ gir1.2-glib-2.0,
+ gir1.2-gtk-3.0,
+ gir1.2-gtklayershell-0.1,
+ gir1.2-notify-0.7,
+ gnome-disk-utility,
+ gnome-icon-theme,
+ gnome-settings-daemon,
+ gnome-system-monitor,
+ gnome-themes-extra-data,
+ grim,
+ gsettings-desktop-schemas,
+ gvfs-backends,
+ ircii,
+ kde-style-breeze,
+ libglib2.0-bin,
+ lxpolkit,
+ mesa-utils,
+ minetest,
+ mpv,
+ network-manager-gnome,
+ neverball,
+ papirus-icon-theme,
+ pasystray,
+ pavucontrol,
+ pulseaudio-utils,
+ python3,
+ python3-gi,
+ python3-usb1,
+ qt5ct,
+ reform-desktop-minimal,
+ reform-firedecor,
+ slurp,
+ sway,
+ swayidle,
+ swaylock,
+ sxiv,
+ thunar,
+ unicode-data,
+ waybar,
+ wayfire,
+ wayland-protocols,
+ wayvnc,
+ wev,
+ wf-recorder,
+ wireplumber,
+ wlr-randr,
+ wofi,
+ xterm,
+ xwayland,
+ ${misc:Depends},
+Description: MNT Reform Desktop Environment -- graphical desktop
+ The MNT Reform suite of open hardware computers comes with a default
+ Debian installation. This metapackage includes all packages required for
+ a full graphical desktop.
+
+Package: reform-desktop-minimal
+Architecture: all
+Section: metapackages
+Depends:
+ alsa-utils,
+ apt,
+ apt-file,
+ apt-listbugs,
+ apt-utils,
+ bash-completion,
+ brightness-udev,
+ brightnessctl,
+ bsdextrautils,
+ busybox,
+ ca-certificates,
+ console-data,
+ console-setup,
+ cpio,
+ cron,
+ cryptsetup,
+ cryptsetup-initramfs,
+ curl,
+ dbus-bin,
+ debian-archive-keyring,
+ debian-keyring,
+ dhcpcd-base,
+ dialog,
+ dosfstools,
+ e2fsprogs,
+ elinks,
+ fbset,
+ fdisk,
+ file,
+ gnupg,
+ gpiod,
+ gpm,
+ greetd,
+ hdparm,
+ htop,
+ iproute2,
+ iptables,
+ iputils-ping,
+ iw,
+ kbd,
+ less,
+ lm-sensors,
+ locales,
+ lshw,
+ lvm2,
+ man-db,
+ micro,
+ nano,
+ ncdu,
+ ncurses-term,
+ net-tools,
+ netbase,
+ netcat-openbsd,
+ network-manager,
+ nfacct,
+ ntpsec,
+ ntpsec-ntpdate,
+ nvme-cli,
+ openssh-client,
+ parted,
+ pciutils,
+ picotool,
+ pocket-reform-handbook,
+ procps,
+ python3-psutil,
+ readline-common,
+ reform-handbook,
+ reform-tools,
+ rfkill,
+ rsync,
+ sudo,
+ systemd,
+ systemd-sysv,
+ telnet,
+ tmux,
+ traceroute,
+ tuigreet,
+ u-boot-tools,
+ unzip,
+ usbutils,
+ vim,
+ w3m,
+ wavemon,
+ wget,
+ wireless-regdb,
+ wpasupplicant,
+ xdg-utils,
+ zstd,
+ ${misc:Depends},
+Recommends:
+ ezurio-qcacld-2.0-dkms,
+ flash-kernel,
+ linux-headers-mnt-reform-arm64,
+ linux-image-mnt-reform-arm64,
+Suggests:
+ firmware-atheros,
+ firmware-iwlwifi,
+ firmware-mediatek,
+ firmware-misc-nonfree,
+ firmware-realtek,
+ reform-branding,
+Description: MNT Reform Desktop Environment -- essential components
+ The MNT Reform suite of open hardware computers comes with a default
+ Debian installation. This metapackage includes all packages required for
+ a minimal non-graphical terminal based installation.
 
 Package: reform2-lpc-dkms
 Architecture: all
