## reform-tools 1.75

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,9 @@
 		emmc-bootstrap) echo "set up /boot on emmc for / on nvme" ;;  \
 		flash-rescue)   echo "flash rescue image to eMMC" ;;          \
 		flash-uboot)    echo "download and flash u-boot" ;;           \
+		gnome-config)   echo "apply default config to GNOME" ;;       \
 		handbook)       echo "show Reform Handbook" ;;                \
+		pocket-reform-handbook) echo "show Pocket Reform Handbook" ;; \
 		help)           echo "help with MNT Reform" ;;                \
 		hw-setup)       echo "perform hardware tweaks" ;;             \
 		migrate)        echo "copy rootfs to device" ;;               \
@@ -89,8 +91,11 @@
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/modprobe.d modprobe.d/reform.conf
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/glib-2.0/schemas
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/glib-2.0/schemas schemas/20_reform.gschema.override
+	$(INSTALL)     -d $(DESTDIR)$(datadir)/gdm/dconf
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/gdm/dconf share/gdm/dconf/95-mnt-reform-settings
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/backgrounds
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/backgrounds share/backgrounds/reform-mountains.jpg
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/backgrounds share/backgrounds/mnt-reform-next-y2k.jpg
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/systemd/sleep.conf.d
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/sleep.conf.d systemd/reform-sleep.conf
 	$(INSTALL)     -d $(DESTDIR)$(libdir)/systemd/system
@@ -103,6 +108,9 @@
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/sddm/sddm.conf.d sddm/10-wayland.conf
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/man/man1
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/man/man1 $(MAN1)
+	$(INSTALL)     -d $(DESTDIR)$(datadir)/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100 share/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100/rk3588-tlv320aic3100.conf
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100 share/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100/HiFi.conf
 
 .PHONY: clean
 clean:
@@ -116,3 +124,7 @@
 	black --check --diff bin/reform-compstat libexec/reform-tools/reform-tray.py libexec/reform-tools/reform-wallpaper.py
 	black --line-length 120 --check --diff bin/reform-mcu-tool
 	shellcheck bin/* kernel/* initramfs-tools/*/* flash-kernel/*/*
+
+test:
+	# check the validity of gschema overrides
+	glib-compile-schemas --dry-run --strict schemas
