=== debian/changelog ===
reform-tools (1.75-2) experimental; urgency=medium

  * debian/control: add rtkit D-Bus system service as recommended by
    pulseaudio to change the scheduling policy of pulseaudio (or pipewire) to
    SCHED_RR (i.e. realtime scheduling mode)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 01 Jul 2025 18:57:26 +0200

reform-tools (1.75-1) experimental; urgency=medium

  * New upstream version 1.75
  * debian/control: mark libglib2.0-bin with <!nocheck>

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 01 Jul 2025 11:12:15 +0200

reform-tools (1.74-1) experimental; urgency=medium

  * New upstream version 1.74
  * debian/control: sync with MNT repo
  * debian/control: add reform-desktop-full Depends on fwupd and fwupd
  * debian/control: add B-D on libglib2.0-bin for glib-compile-schemas in make test

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 12 Jun 2025 22:14:50 +0200

reform-tools (1.73-2) experimental; urgency=medium

  * debian/control: add reform-tools Depends on libglib2.0-bin to run
    glib-compile-schemas

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 08 Jun 2025 19:15:14 +0200

reform-tools (1.73-1) experimental; urgency=medium

  * New upstream version 1.73
  * switch meta packages from wayfire and tuigreet to gnome and gdm
  * install usr/share/gdm/dconf/95-mnt-reform-settings

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 28 May 2025 06:35:50 +0200

reform-tools (1.72-2) experimental; urgency=medium

  * cherry-pick patch from upstream: kernel/zz-reform-tools: always print
    something to STDERR
  * add debian/tests/dtbs for autopkgtest on arm64
  * debian/reform-tools.postinst: run kernel hook explicitly

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 18 May 2025 00:27:44 +0200

reform-tools (1.72-1) experimental; urgency=medium

  * New upstream version 1.72
  * debian/control: add Depends on linux-sysctl-defaults to make ping work

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 07 May 2025 23:22:37 +0200
