## reform-tools 1.76

=== Makefile ===
--- 
+++ 
@@ -108,9 +108,9 @@
 	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/sddm/sddm.conf.d sddm/10-wayland.conf
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/man/man1
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/man/man1 $(MAN1)
-	$(INSTALL)     -d $(DESTDIR)$(datadir)/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100
-	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100 share/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100/rk3588-tlv320aic3100.conf
-	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100 share/ucm2/conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100/HiFi.conf
+	$(INSTALL)     -d $(DESTDIR)$(datadir)/alsa/ucm2/conf.d/rk3588-tlv320ai/
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/alsa/ucm2/conf.d/rk3588-tlv320ai/ audio/ucm2.conf.d/rk3588-tlv320ai/rk3588-tlv320aic3100.conf
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/alsa/ucm2/conf.d/rk3588-tlv320ai/ audio/ucm2.conf.d/rk3588-tlv320ai/HiFi.conf
 
 .PHONY: clean
 clean:
@@ -127,4 +127,8 @@
 
 test:
 	# check the validity of gschema overrides
+	# Create a dummy placeholder file to convince glib-compile-schemas to
+	# not skip processing this directory
+	echo '<schemalist></schemalist>' > schemas/dummy.gschema.xml
 	glib-compile-schemas --dry-run --strict schemas
+	rm schemas/dummy.gschema.xml
