=== debian/changelog ===
reform-tools (1.76-2) unstable; urgency=medium

  * Upload to unstable

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 10 Aug 2025 12:10:34 +0200

reform-tools (1.76-1) experimental; urgency=medium

  * New upstream version 1.76

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 19 Jul 2025 23:38:39 +0200
