=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  debhelper-compat (= 13),
  dh-sequence-dkms,
  help2man,
+ libglib2.0-bin <!nocheck>,
  python3-psutil,
  python3-usb1,
 Vcs-Git: https://salsa.debian.org/reform-team/reform-tools.git
@@ -27,6 +28,7 @@
  gpiod,
  jq,
  keyboard-configuration,
+ libglib2.0-bin,
  mount,
  parted,
  procps,
@@ -78,13 +80,17 @@
  brightnessctl,
  dunst,
  engrampa,
+ espeak-ng,
+ espeak-ng-data,
  evince,
  firefox-esr,
+ flatpak,
  fonts-font-awesome,
  fonts-inter,
  fonts-jetbrains-mono,
  fonts-noto-color-emoji,
  foot,
+ fwupd,
  gedit,
  gir1.2-ayatanaappindicator3-0.1,
  gir1.2-gdesktopenums-3.0,
@@ -93,9 +99,14 @@
  gir1.2-gtk-3.0,
  gir1.2-gtklayershell-0.1,
  gir1.2-notify-0.7,
+ gnome,
  gnome-disk-utility,
+ gnome-firmware,
  gnome-icon-theme,
  gnome-settings-daemon,
+ gnome-shell-extension-dashtodock,
+ gnome-shell-extension-manager,
+ gnome-software-plugin-flatpak,
  gnome-system-monitor,
  gnome-themes-extra-data,
  grim,
@@ -107,6 +118,7 @@
  lxpolkit,
  mesa-utils,
  minetest,
+ modemmanager,
  mpv,
  network-manager-gnome,
  neverball,
@@ -119,8 +131,9 @@
  python3-usb1,
  qt5ct,
  reform-desktop-minimal,
- reform-firedecor,
+ rtkit,
  slurp,
+ speech-dispatcher-espeak-ng,
  sway,
  swayidle,
  swaylock,
@@ -128,7 +141,6 @@
  thunar,
  unicode-data,
  waybar,
- wayfire,
  wayland-protocols,
  wayvnc,
  wev,
@@ -180,7 +192,6 @@
  gnupg,
  gpiod,
  gpm,
- greetd,
  hdparm,
  htop,
  iproute2,
@@ -189,6 +200,7 @@
  iw,
  kbd,
  less,
+ linux-sysctl-defaults,
  lm-sensors,
  locales,
  lshw,
@@ -224,7 +236,6 @@
  telnet,
  tmux,
  traceroute,
- tuigreet,
  u-boot-tools,
  unzip,
  usbutils,
