## reform-tools 1.77

=== debian/changelog ===
reform-tools (1.77-1) unstable; urgency=medium

  * New upstream version 1.77
  * debian/control: bmap-tools was renamed to bmaptool

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 27 Aug 2025 10:16:02 +0200
