=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
  tzdata,
  ${misc:Depends},
 Recommends:
- bmap-tools,
+ bmaptool,
  brightnessctl,
  debian-keyring,
  fonts-font-awesome,
@@ -76,7 +76,7 @@
 Section: metapackages
 Depends:
  blueman,
- bmap-tools,
+ bmaptool,
  brightnessctl,
  dunst,
  engrampa,
