=== debian/changelog ===
reform-tools (1.78-1) unstable; urgency=medium

  * New upstream version 1.78
  * debian/control:
     * reform-desktop-full:
        - add alsa-ucm-conf to Depends as it ships UCM2 profiles in
          /usr/share/alsa/ucm2/ just as reform-tools does
        - remove gnome-themes-extra-data because Debian wants to remove it
          see #1112387
        - add plymouth to support the two-step module based reform-y2k theme
     * reform-desktop-minimal: replace console-data with console-setup-linux
       as the former might be deprecated, see https://bugs.debian.org/1110517
     * add B-D on imagemagick to convert plymouth background from jpg to png

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 30 Aug 2025 16:36:22 +0200
