=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  debhelper-compat (= 13),
  dh-sequence-dkms,
  help2man,
+ imagemagick,
  libglib2.0-bin <!nocheck>,
  python3-psutil,
  python3-usb1,
@@ -71,10 +72,13 @@
  files for initramfs, flash-kernel, pulseaudio, alsa, u-boot-menu, udev and
  NetworkManager.
 
+# FIXME: the plymouth plugin contains symlinks which rely on this change
+# in src:plymouth: https://bugs.debian.org/1112280
 Package: reform-desktop-full
 Architecture: all
 Section: metapackages
 Depends:
+ alsa-ucm-conf,
  blueman,
  bmaptool,
  brightnessctl,
@@ -108,7 +112,6 @@
  gnome-shell-extension-manager,
  gnome-software-plugin-flatpak,
  gnome-system-monitor,
- gnome-themes-extra-data,
  grim,
  gsettings-desktop-schemas,
  gvfs-backends,
@@ -125,6 +128,8 @@
  papirus-icon-theme,
  pasystray,
  pavucontrol,
+ plymouth,
+ plymouth-themes,
  pulseaudio-utils,
  python3,
  python3-gi,
@@ -171,8 +176,8 @@
  bsdextrautils,
  busybox,
  ca-certificates,
- console-data,
  console-setup,
+ console-setup-linux,
  cpio,
  cron,
  cryptsetup,
