## reform-tools 1.79

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 libexecdir = $(prefix)/libexec
 libdir = $(prefix)/lib
 statedir = /var
+sysconfdir = /etc
 
 BINPROGS=$(wildcard bin/*)
 MAN1=$(patsubst bin/%,man/%.1,$(BINPROGS))
@@ -79,6 +80,7 @@
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/flash-kernel/ubootenv.d flash-kernel/ubootenv.d/00reform2_ubootenv
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/initramfs-tools/hooks
 	$(INSTALL)     -t $(DESTDIR)$(datadir)/initramfs-tools/hooks initramfs-tools/hooks/reform
+	$(INSTALL)     -t $(DESTDIR)$(datadir)/initramfs-tools/hooks initramfs-tools/hooks/reform-plymouth
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/initramfs-tools/modules.d
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/initramfs-tools/modules.d initramfs-tools/reform.conf
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/initramfs-tools/scripts/init-top
@@ -131,6 +133,15 @@
 		#$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/ "plymouth/$$filename";
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k plymouth/background.png
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k plymouth/reform-y2k.plymouth
+	$(INSTALL)     -d $(DESTDIR)$(libdir)/systemd/user
+	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire-pulse.service
+	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire-pulse.socket
+	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire.service
+	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire.socket
+	$(INSTALL)     -d $(DESTDIR)$(datadir)/wireplumber/wireplumber.conf.d
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/wireplumber/wireplumber.conf.d audio/reform-hdmi-audio-priority.conf
+	$(INSTALL)     -d $(DESTDIR)$(sysconfdir)/profile.d
+	$(INSTALLDATA) -t $(DESTDIR)$(sysconfdir)/profile.d etc/profile.d/reform-kwin.sh
 
 .PHONY: clean
 clean:
