=== debian/changelog ===
reform-tools (1.79-2) unstable; urgency=medium

  * debian/patches: cherry-pick patch from upstream to stop installing files
    that conflict with pulseaudio
  * debian/control: replace abandoned gnome-icon-theme by adwaita-icon-theme
    (Closes: #1117090)
  * debian/reform-tools.install: wrap-and-sort -astb

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 09 Oct 2025 10:10:05 +0200

reform-tools (1.79-1) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * New upstream version 1.79
  * debian/control: remove *-mnt-reform-arm64 packages from Recommends
    (Closes: #1116115)
  * debian/control: remove plymouth from Depends

  [ Andreas Beckmann ]
  * debian/reform2-lpc-dkms.dkms: bump BUILD_EXCLUSIVE_KERNEL_MIN to 5.19
    because of sys-off handler (Closes: #1115430)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 25 Sep 2025 22:56:32 +0200
