=== debian/control ===
--- 
+++ 
@@ -78,6 +78,7 @@
 Architecture: all
 Section: metapackages
 Depends:
+ adwaita-icon-theme,
  alsa-ucm-conf,
  blueman,
  bmaptool,
@@ -106,7 +107,6 @@
  gnome,
  gnome-disk-utility,
  gnome-firmware,
- gnome-icon-theme,
  gnome-settings-daemon,
  gnome-shell-extension-dashtodock,
  gnome-shell-extension-manager,
@@ -128,8 +128,6 @@
  papirus-icon-theme,
  pasystray,
  pavucontrol,
- plymouth,
- plymouth-themes,
  pulseaudio-utils,
  python3,
  python3-gi,
@@ -256,8 +254,6 @@
 Recommends:
  ezurio-qcacld-2.0-dkms,
  flash-kernel,
- linux-headers-mnt-reform-arm64,
- linux-image-mnt-reform-arm64,
 Suggests:
  firmware-atheros,
  firmware-iwlwifi,
