=== debian/rules ===
#!/usr/bin/make -f

# for debian/reform-tools.install and for dkms
include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --package=reform-tools --name=reform-hw-setup
	dh_installsystemd --package=reform-tools --no-stop-on-upgrade --no-start --name=reform-sleep

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)
