=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://source.mnt.re/reform/reform-tools/tags?sort=updated_desc -/archive/\d+\.\d+/reform-tools-@ANY_VERSION@\.tar\.gz
