## reform-tools 1.80

=== Makefile ===
--- 
+++ 
@@ -133,15 +133,12 @@
 		#$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k/ "plymouth/$$filename";
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k plymouth/background.png
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/plymouth/themes/reform-y2k plymouth/reform-y2k.plymouth
-	$(INSTALL)     -d $(DESTDIR)$(libdir)/systemd/user
-	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire-pulse.service
-	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire-pulse.socket
-	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire.service
-	$(INSTALLDATA) -t $(DESTDIR)$(libdir)/systemd/user systemd/pipewire.socket
 	$(INSTALL)     -d $(DESTDIR)$(datadir)/wireplumber/wireplumber.conf.d
 	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/wireplumber/wireplumber.conf.d audio/reform-hdmi-audio-priority.conf
 	$(INSTALL)     -d $(DESTDIR)$(sysconfdir)/profile.d
 	$(INSTALLDATA) -t $(DESTDIR)$(sysconfdir)/profile.d etc/profile.d/reform-kwin.sh
+	$(INSTALL)     -d $(DESTDIR)$(datadir)/doc/reform-tools/examples
+	$(INSTALLDATA) -t $(DESTDIR)$(datadir)/doc/reform-tools/examples examples/keyboard_rainbow.py
 
 .PHONY: clean
 clean:
@@ -152,7 +149,7 @@
 	clang-format lpc/reform2_lpc.c | diff -u lpc/reform2_lpc.c -
 	shfmt --posix --simplify --binary-next-line --case-indent --indent 2 --diff \
 		bin kernel/* initramfs-tools/*/* flash-kernel/*/*
-	black --check --diff bin/reform-compstat libexec/reform-tools/reform-tray.py libexec/reform-tools/reform-wallpaper.py
+	black --check --diff bin/reform-compstat libexec/reform-tools/reform-tray.py libexec/reform-tools/reform-wallpaper.py examples/keyboard_rainbow.py
 	black --line-length 120 --check --diff bin/reform-mcu-tool
 	shellcheck bin/* kernel/* initramfs-tools/*/* flash-kernel/*/*
