=== debian/changelog ===
reform-tools (1.80-1) unstable; urgency=medium

  * New upstream version 1.80
  * debian/control:
     - replace foot and xterm with ptyxis
     - add mesa-vulkan-drivers, vulkan-tools and tio

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 04 Nov 2025 00:36:21 +0100
