=== debian/control ===
--- 
+++ 
@@ -44,7 +44,6 @@
  debian-keyring,
  fonts-font-awesome,
  fonts-jetbrains-mono,
- foot,
  gir1.2-ayatanaappindicator3-0.1,
  gir1.2-gdesktopenums-3.0,
  gir1.2-gdkpixbuf-2.0,
@@ -94,7 +93,6 @@
  fonts-inter,
  fonts-jetbrains-mono,
  fonts-noto-color-emoji,
- foot,
  fwupd,
  gedit,
  gir1.2-ayatanaappindicator3-0.1,
@@ -120,6 +118,7 @@
  libglib2.0-bin,
  lxpolkit,
  mesa-utils,
+ mesa-vulkan-drivers,
  minetest,
  modemmanager,
  mpv,
@@ -128,6 +127,7 @@
  papirus-icon-theme,
  pasystray,
  pavucontrol,
+ ptyxis,
  pulseaudio-utils,
  python3,
  python3-gi,
@@ -141,8 +141,10 @@
  swayidle,
  swaylock,
  sxiv,
+ tio,
  thunar,
  unicode-data,
+ vulkan-tools,
  waybar,
  wayland-protocols,
  wayvnc,
@@ -151,7 +153,6 @@
  wireplumber,
  wlr-randr,
  wofi,
- xterm,
  xwayland,
  ${misc:Depends},
 Description: MNT Reform Desktop Environment -- graphical desktop
