=== debian/changelog ===
reform-tools (1.81-2) unstable; urgency=medium

  * debian/reform-tools.install: install usr/share/xdg-terminal-exec

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 04 Nov 2025 18:35:52 +0100

reform-tools (1.81-1) unstable; urgency=medium

  * New upstream version 1.81
  * debian/control: wrap-and-sort -astb

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 04 Nov 2025 16:41:08 +0100
