=== debian/control ===
--- 
+++ 
@@ -141,8 +141,8 @@
  swayidle,
  swaylock,
  sxiv,
+ thunar,
  tio,
- thunar,
  unicode-data,
  vulkan-tools,
  waybar,
