=== debian/tests/control ===
Tests:
 dtbs,
Depends:
 linux-image-arm64,
Restrictions:
 allow-stderr,
 needs-root,
Architecture: arm64
